"use client"
import CheckItem from "./CheckItem"
import { CheckItemType } from "@/types/CheckItem"

const checkList: CheckItemType[] = [
  {
    url: "https://6.ipv6test.online/ip/myip",
    content: (data) => {
      const isIPv6 = data?.version == 6
      return {
        state: isIPv6 ? "ok" : "error",
        text: "公网 IPv6 地址: " + (isIPv6 ? `${data?.address}` : "未检测到"),
      }
    },
  },
  {
    url: "https://4.ipv6test.online/ip/myip",
    content: (data) => {
      const isIPv4 = data?.version == 4
      return {
        state: isIPv4 ? "ok" : "error",
        text: "公网 IPv4 地址: " + (isIPv4 ? `${data?.address}` : "未检测到"),
      }
    },
  },
]

export default function Checker() {
  return (
    <>
      {checkList.map((item, i) => {
        return <CheckItem key={i} url={item.url} content={item.content} />
      })}
    </>
  )
}
